.star_image {
    position: relative;
    left: 70px;
}

@media(max-width: 545px) {
    .star_image {
        left: 0px;
    }
}

.instagram-subtitle {
    font-size: var(--teflie-font-subheading);
    color: var(--teflie-text-primary)
    margin: 0;
}

.instagram-reels-slider {
    margin: 0 auto;
    padding: 20px 0;
}

.instagram-reels-slider .splide__slide {
    display: flex;
    justify-content: center;
}

.splide__list {
    display: flex;
}

.reel-card {
    position: relative;
    border-radius: 20px;
    overflow: hidden;
    cursor: pointer;
}


.reel-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

a.reel-play-link {
    position: absolute;
    bottom: 5px;
    left: 20px;
    text-decoration: underline;
    color: white;
    opacity: 0.9;
    font-size: 14px;
}

.reel-play-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 60px;
    height: 60px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background 0.3s ease;
}

.reel-play-overlay::after {
    content: '';
    width: 40px;
    height: 40px;
    background-image: url('/wp-content/uploads/2025/11/play-btn-lilac.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
}

.view-instagram-btn {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    border-radius: 69px;
    font-size: 14px;
    font-weight: 500;
    text-decoration: none;
    transition: all 0.3s ease;
}
.view-instagram-btn img {
    width: 12px;
    height: auto;
    object-fit: contain;
}


/*Splide style */
   
.splide__pagination.reels-slider__pagination.splide__pagination--ltr {
    justify-content: flex-start;
    bottom: revert;
    margin: 1rem 0 0 4rem;
}

.splide__pagination.reels-slider__pagination .splide__pagination__page.is-active {
    background: var(--teflie-turquoise);
    transform: none;
    z-index: 1;
}

.splide__pagination.reels-slider__pagination .splide__pagination__page {
    background: #00000026;
}

.splide__arrows.reels-slider__arrows {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: var(--teflie-space-sm);
    margin-top: var(--teflie-space-xl);
}

.splide__arrows.reels-slider__arrows button {
    background: none;
    cursor: pointer;
    transition: all 0.3s ease;
    padding: 0;
    position: relative;
    left: auto;
    right: auto;
    opacity: 1;
    width: 40px;
    /* height: 40px; */
}

.splide__arrows.reels-slider__arrows button img {
    width: 40px;
    height: 40px;
    transition: transform 0.3s ease;
}

.splide__arrows.reels-slider__arrows button.splide__arrow--prev img {
    transform: rotate(180deg);
}

.splide__arrows.reels-slider__arrows button.disabled,
.splide__arrows.reels-slider__arrows button:disabled {
    opacity: 0.3;
    cursor: not-allowed;
    border-color: #ccc;
}